Bug 1738955 - guake depends on Python 2
Summary: guake depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-08 12:05 UTC by Lumír Balhar
Modified: 2019-08-17 17:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 05:54:40 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 12:05:13 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for guake's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to guake.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Luke 2019-08-11 12:27:19 UTC
> - What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

There's no reason for Python2 for Guake. New versions of upstream Guake (3.x) are built with GTK3 and Python3.
The only reason for Python2 dependencies for Guake in Fedora is the fact that Fedora is shipping *deprecated and unpatched* version of legacy branch from 2016 (0.8.8).

Comment 2 Ben Cotton 2019-08-13 16:53:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:09:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-14 05:54:40 UTC
After the update to version 3.6.3, guake doesn't depend on Python 2 anymore. Thank you!

Comment 5 Luke 2019-08-17 17:01:58 UTC
> After the update to version 3.6.3, guake doesn't depend on Python 2 anymore. Thank you!

Thank YOU! Long live the open source!


Note You need to log in before you can comment on or make changes to this bug.